import dynamix_sdk.base as _base


class CloudapiDisksRestoreResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiDisksRestoreProtocol(_base.BasePostAPIFunctionProtocol):
    def restore(
        self,
        *,
        disk_id: int,
    ) -> CloudapiDisksRestoreResultBool:
        ...
